Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.xsl
Class Template

    java.lang.Object
      |
      +--com.caucho.xsl.Template

public class Template
extends java.lang.Object

Field Summary
`int` | `funId`

Constructor Summary
`Template(com.caucho.xpath.pattern.AbstractPattern pattern, java.lang.String mode, int minImportance, int maxImportance, double priority, int count, java.lang.String function, int funId)`

Method Summary
`int` | `getCount()`
`java.lang.String` | `getFunction()`
`int` | `getId()`
`int` | `getMax()`
`int` | `getMin()`
`java.lang.String` | `getMode()`
`com.caucho.xpath.pattern.AbstractPattern` | `getPattern()`
`double` | `getPriority()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### funId

    public int funId

Constructor Detail

### Template

    public Template(com.caucho.xpath.pattern.AbstractPattern pattern,
                    java.lang.String mode,
                    int minImportance,
                    int maxImportance,
                    double priority,
                    int count,
                    java.lang.String function,
                    int funId)

Method Detail

### getPattern

    public com.caucho.xpath.pattern.AbstractPattern getPattern()

### getId

    public int getId()

### getMode

    public java.lang.String getMode()

### getMin

    public int getMin()

### getMax

    public int getMax()

### getPriority

    public double getPriority()

### getCount

    public int getCount()

### getFunction

    public java.lang.String getFunction()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD